16.10.3 - Yocto SWI9X15Y_07.12.09.00 README.build


#1

Hi

I’m attempting to build SWI9X15Y_07.12.09.00 so that I can use Legato 16.10.3

README.build has instruction

git clone https://github.com/MalvernPark/meta-swi.git

But as far as I can tell https://github.com/MalvernPark is empty.

Any ideas?

Thanks in advance

John


#2

Hi John,

I guess we should rework that README.build, so far the only way to rebuild this firmware is through a big tarball distributed on source.sierrawireless.com.

Sources for SWI9X15Y_07.12.09.00 are not yet available there.

Thanks,
Bertrand


#3

Hi Bertrand

Is the SWI9X15Y_07.12.09.00 “Legato OS Source” here

https://source.sierrawireless.com/resources/legato/downloads/
|
V
https://source.sierrawireless.com/resources/legato/legatolinuxdist/
|
V
http://downloads.sierrawireless.com/legato/16103/Legato-Dist-Source-mdm9x15-SWI9X15Y_07.12.09.00.tar.bz2

Not usable to Yocto build a “Legato OS” to support Legato 16.10.3 WP85 ?

BTW my comments in the original post are based on the README.build I picked up from

http://downloads.sierrawireless.com/legato/16103/Legato-Dist-Source-mdm9x15-SWI9X15Y_07.12.09.00.tar.bz2

Cheers
John


#4

This is what i used … trick is that the “Firmware” ie chip firmware is not available.

The tar ball builds runs it breaks many features …


#5

Hi

Oh - so Yocto SWI9X15Y_07.12.09.00 is building OK

But the (WP85 radio) Firmware-Generic binary equivalent of Release 13.1 (For Legato 16.10.01)

SWI9X15Y_07.11.22.00 / 001.032_000
From
https://source.sierrawireless.com/resources/legato/wpfirmwarerelease13_1/

Isn’t available.

I get confused when two different things use the same version numbering method and there are so many bits required to make a matching system or could be that I’m just not clever enough :slight_smile:

Cheers

John


#6

Version 14 is required for 16.10 but not released yet …


#7

V14 is available …

As part of QTI9X1555-1057, some corrections were made to long standing issues with the QMI interface. This aligns the Sierra QMI response result codes with EM/MC74xx, WP76xx, and newer members of these product families. Our policy is generally to maintain backward compatibility with older modem images, but as a consequence of the fundamental nature of this change, Legato AFversion 16.10.2 and older may not be combined with modem firmware version SWI9X15Y_07.12.xx or newer and Legato AFversion 16.10.3 and newer may not be combined with modem firmware version SWI9X15Y_07.11.xx or older.Any Legato –Modem interaction suchas fwupdate(and FOTA), AirVantagefeatures,GPIO/ADC accessandsecurefile system access, among others,wouldbeimpacted.There may also be otherunforeseenfunctionalor stabilityconsequences and therefore such combinations are not supported.


#8

At the moment 16.10.3 toolchain support via legato-spm isn’t yet available (as far as I can tell) . For example latest for WP85

Packages available from http://updatesite.sierrawireless.com/packages/Legato

module: WP85XX

pdk.64 : 16.10.1.wp85-wp75-pdk-x86_64-201702011325


#9

https://source.sierrawireless.com/resources/legato/downloads/


#10

Yes thanks - I can download and build the correct tools using https://source.sierrawireless.com/resources/legato/downloads/
However - I like the spm method as it auto manages multiple versions of legato - unfortunately - legato-spm appears to be lagging behind


#11

Hi @johnofleek

legato-spm packages matching with Release 14 will be made available this week.